.reverse_read {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  top: 5%;
  right: 3%;
  height: 30px;
  width: fit-content;
  border: 1px solid lightgrey;
  border-radius: 3px;
  background-color: transparent;
  transition: 0.2s ease-in;
}
.reverse_read:hover {
  border: 1px solid rgba(128, 128, 128, 0.488);
  background-color: rgba(128, 128, 128, 0.488);
  border-radius: 3px;
}
.reverse_mode {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  top: 5%;
  left: 3%;
  height: 30px;
  width: fit-content;
  border: 1px solid lightgrey;
  border-radius: 3px;
  background-color: transparent;
  transition: 0.2s ease-in;
}
.reverse_mode:hover {
  border: 1px solid rgba(128, 128, 128, 0.488);
  background-color: rgba(128, 128, 128, 0.488);
  border-radius: 3px;
}
span {
  padding: none;
  margin: none;
}
.texte {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  border-radius: 5px;
  padding: 5px;
  border: 3px solid rgba(128, 128, 128, 0.689);
  margin-bottom: 10px;
  font-size: larger;
  scroll-margin-top: 10px;
}
.typed-right {
  color: black;
}
.typing {
  color: rgb(107, 107, 107);
  background-color: lightgrey;
  border-radius: 3px;
}
.error {
  color: rgb(255, 0, 0);
}
.typo-error {
  color: blue;
}
.not-typed {
  color: grey;
}
.container-texte {
  position: relative;
  max-width: 1000px;
  margin: auto;
  margin-bottom: 20px;
  background: white;
  padding: 2rem;
  border-radius: 10px;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
}
.time {
  color: black;
  font-size: larger;
}
.errors {
  color: rgb(163, 22, 22);
  font-size: large;
}
.div-resultats {
  display: flex;
  flex-direction: column;
  width: 100%;
  justify-content: space-evenly;
  align-items: center;
}
.div-resultats > * {
  width: fit-content;
}
.mot-erreur:hover {
  color: red;
  cursor: pointer;
}

h2 {
  text-align: center;
  justify-content: center;
}
